# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\MoneyModificator:
  - class: CDev\VAT\Logic\IncludedVAT
    validator: isApply
    purpose: net
    position: 1000
  - class: CDev\VAT\Logic\ExcludedVAT
    validator: isApply
    purpose: display
    position: 1000
XLite\Model\Config:
  - name: subtotal_thresholds
    category: CDev\VAT
    type: checkbox
    value: ''
    orderby: 90
    translations: [{code: en, option_name: 'Enable EU import subtotal thresholds'}]
    module: CDev\VAT
  - name: display_prices_including_vat
    category: CDev\VAT
    type: checkbox
    value: 'Y'
    orderby: 100
    translations: [{code: en, option_name: 'Display prices in catalog including VAT'}]
    module: CDev\VAT
  - name: display_inc_vat_label
    category: CDev\VAT
    type: text
    value: 'Y'
    orderby: 110
    translations: [{code: en, option_name: 'Display ''inc/ex VAT'' labels next to prices', option_comment: 'If this option is ticked all prices in the catalog will be shown with ''inc VAT'' or ''ex VAT'' label depending on whether included VAT into the price or not. If you choose do not display this label, you have to place information about it somewhere on the catalog pages as it must be clear for customers.'}]
    module: CDev\VAT
  - name: ignore_memberships
    category: CDev\VAT
    type: XLite\View\FormField\Input\Checkbox\YesNo
    value: 1
    orderby: 150
    translations: [{code: en, option_name: 'Use the same tax rates for all user membership levels'}]
    module: CDev\VAT
  - name: vatNumberChecker
    category: CDev\VAT
    type: CDev\VAT\View\FormField\VATNumberChecker
    value: \CDev\VAT\Core\VIES
    orderby: 160
    translations: [{code: en, option_name: 'VAT number validation service'}]
    module: CDev\VAT
  - name: addressType
    category: CDev\VAT
    type: CDev\VAT\View\FormField\AddressType
    value: shipping
    orderby: 170
    translations: [{code: en, option_name: 'Address for VAT calculation'}]
    module: CDev\VAT
  - name: merchant_tax_number
    category: CDev\VAT
    type: text
    value: ''
    orderby: 180
    translations: [{code: en, option_name: 'Merchant tax number'}]
    module: CDev\VAT
  - name: vat_validation_service
    category: CDev\VAT
    type: CDev\VAT\View\FormField\Select\ApiProvider
    value: vatsense
    orderby: 190
    translations: [{code: en, option_name: 'VAT validation service', option_comment: 'Starting December 31 2020 vatlayer.com is no longer able to validate UK VAT numbers as UK was excluded from VIES services due to Brexit. In case vatlayer.com is set as the service to validate VAT numbers through and the customer’s country is set to UK at checkout, your store will use free HMRC API to check VAT their number. Vatsense.com is able to validate both UK and EU VAT numbers, thus we recommend using this service for better experience.'}]
    module: CDev\VAT
  - name: vatlayer_apikey
    category: CDev\VAT
    type: text
    value: ''
    widgetParameters: {dependency: {show: {vat_validation_service: [vatlayer]}}}
    orderby: 200
    translations: [{code: en, option_name: 'VAT Number Validation API key', option_comment: 'To use vatlayer.com VAT Number Validation services, you have to sign up at <a href="https://vatlayer.com/product">https://vatlayer.com/product</a> page and proceed to dashboard to get the API key.'}]
    module: CDev\VAT
  - name: vatsense_apikey
    category: CDev\VAT
    type: text
    value: ''
    widgetParameters: {dependency: {show: {vat_validation_service: [vatsense]}}}
    orderby: 200
    translations: [{code: en, option_name: 'VAT Number Validation API key'}]
    module: CDev\VAT
  - name: hmrc_client_id
    category: CDev\VAT
    type: text
    value: ''
    orderby: 250
    translations: [{code: en, option_name: 'HMRC Client ID', option_comment: 'For more information about free HMRC API credentials please see the <a href="https://developer.service.hmrc.gov.uk/api-documentation/docs/authorisation/credentials">official documentation</a>. You can request your credentials <a href="https://developer.service.hmrc.gov.uk/developer/applications/add/production">here</a>'}]
    module: CDev\VAT
  - name: hmrc_secret_id
    category: CDev\VAT
    type: text
    value: ''
    orderby: 260
    translations: [{code: en, option_name: 'HMRC Client Secret', option_comment: 'For more information about free HMRC API credentials please see the <a href="https://developer.service.hmrc.gov.uk/api-documentation/docs/authorisation/credentials">official documentation</a>. You can request your credentials <a href="https://developer.service.hmrc.gov.uk/developer/applications/add/production">here</a>'}]
    module: CDev\VAT
XLite\Model\LanguageLabel:
  - name: 'Display prices in catalog including VAT / GST'
    translations: [{code: en, label: 'Display prices in catalog including VAT / GST'}]
  - name: 'Display ''inc/ex VAT'' labels next to prices'
    translations: [{code: en, label: 'Display ''inc/ex VAT'' labels next to prices'}]
  - name: excl.VAT
    translations: [{code: en, label: 'excluding {{name}}'}]
  - name: incl.VAT
    translations: [{code: en, label: 'including {{name}}'}]
  - name: 'Select the membership level and area. for which product prices, including VAT, are defined by the shop administrator'
    translations: [{code: en, label: 'Select the membership level and area for which product prices are set to include VAT. For customers from other locations or of a different membership level the included VAT will be subtracted and then recalculated.<br /><br />If your prices are defined excluding VAT, select the membership level and the area with a 0% VAT rate or with no applicable rate.'}]
  - name: 'X VAT rates have been removed'
    translations: [{code: en, label: '{{count}} VAT rate(s) removed'}]
  - name: 'X VAT rates have been successfully created'
    translations: [{code: en, label: '{{count}} VAT rate(s) created'}]
  - name: 'VAT / GST settings and rates have been updated successfully'
    translations: [{code: en, label: 'VAT / GST settings and rates have been updated successfully'}]
  - name: 'VAT / GST has been enabled successfully'
    translations: [{code: en, label: 'VAT / GST has been enabled successfully'}]
  - name: 'VAT / GST has been disabled successfully'
    translations: [{code: en, label: 'VAT / GST has been disabled successfully'}]
  - name: 'If this option is ticked all prices in the catalog will be shown with ''inc VAT'' or ''ex VAT'' label depending on whether included VAT / GST into the price or not'
    translations: [{code: en, label: 'If this option is enabled, all the prices in the catalog will be shown with the ''inc VAT'' or ''ex VAT'' label depending on whether VAT / GST is included into the price or not. If you choose not to display this label, you will have to place information about it somewhere on the catalog pages as it must be clear for customers.'}]
  - name: 'The name of the tax has not been preserved, because that is not filled'
    translations: [{code: en, label: 'The tax name was not saved because the respective field was empty'}]
  - name: 'New vat tax rate'
    translations: [{code: en, label: 'New rate'}]
  - name: 'Wrong VAT number format for selected country.'
    translations: [{code: en, label: 'Wrong VAT number format for selected country.'}]
  - name: 'VAT number is valid'
    translations: [{code: en, label: 'VAT number is valid'}]
  - name: 'VAT number is invalid'
    translations: [{code: en, label: 'VAT number is invalid (check at VIES site)'}]
  - name: 'VAT number format is valid'
    translations: [{code: en, label: 'VAT number format is valid but not verified.'}]
  - name: 'Service error'
    translations: [{code: en, label: 'VAT check error'}]
  - name: 'Address for VAT / GST calculation'
    translations: [{code: en, label: 'Address for VAT / GST calculation'}]
  - name: 'Use the same tax rates for all user membership levels'
    translations: [{code: en, label: 'Use the same tax rates for all user membership levels'}]
  - name: VAT
    translations: [{code: en, label: VAT}]
  - name: 'VAT X'
    translations: [{code: en, label: '{{name}} {{rate}}'}]
  - name: 'VAT / GST'
    translations: [{code: en, label: 'VAT / GST'}]
  - name: 'VAT number validation service'
    translations: [{code: en, label: 'VAT number validation service'}]
  - name: 'VAT Information Exchange System (VIES)'
    translations: [{code: en, label: 'VAT Information Exchange System (VIES)'}]
  - name: 'European VAT Number Validation API (isvat.appspot.com)'
    translations: [{code: en, label: 'European VAT Number Validation API (isvat.appspot.com)'}]
  - name: 'The VAT / GST inclusive prices as defined in the product details are intended for'
    translations: [{code: en, label: 'The VAT / GST inclusive prices as defined in the product details are intended for'}]
  - name: 'Specify the address zone (or the membership and the address zone), the VAT / GST for which was included into product prices when you defined prices for the products in your catalog'
    translations: [{code: en, label: 'Specify the address zone (or the membership and the address zone), the VAT / GST for which was included into product prices when you defined prices for the products in your catalog.<br/>If your store is configured to display prices in catalog including VAT / GST, product prices - when viewed by customers with the location and membership level specified here - will be displayed exactly as defined in the product details. For customers with a location and a membership level different from those specified here, product prices will be recalculated based on the VAT / GST rate for their respective location and membership level.'}]
  - name: 'Merchant Tax Number (VAT ID, ABN etc)'
    translations: [{code: en, label: 'Merchant Tax Number'}]
  - name: 'VAT ID, ABN etc'
    translations: [{code: en, label: 'VAT ID, ABN etc'}]
  - name: 'If specified this value will be displayed on invoices of orders with VAT applied'
    translations: [{code: en, label: 'If specified, this value will be displayed on the invoices of orders with VAT applied'}]
  - name: 'To use vatlayer.com VAT Number Validation services, you have to sign up at https://vatlayer.com/product page and proceed to dashboard to get the API key.'
    translations: [{code: en, label: 'To use vatlayer.com VAT Number Validation services, you have to sign up at <a href="https://vatlayer.com/product" target="_blank">https://vatlayer.com/product</a> page and proceed to dashboard to get the API key.'}]
  - name: 'EU VAT Number Validation API key (vatlayer.com)'
    translations: [{code: en, label: 'EU VAT Number Validation API key (vatlayer.com)'}]
  - name: 'European VAT Number Validation API (vatlayer.com)'
    translations: [{code: en, label: 'European VAT Number Validation API (vatlayer.com)'}]
  - name: rate
    translations: [{code: en, label: rate}]
  - name: 'To make "Product Filter" addon working correctly, you will need to re-calculate the quick data after changing or adding VAT rates.'
    translations: [{code: en, label: 'To ensure that the addon Product Filter works correctly, after changing or adding VAT rates, launch <a href="{{link}}" target="_blank">the re-calculation of quick data</a>.'}, {code: ru, label: 'Для корректной работы модуля Product Filter, после добавления новых правил расчета налога или внесения изменений в существующие, необходимо осуществить <a href="{{link}}" target="_blank">перерасчет quick data</a>.'}]
  - name: 'Re-calculate quick data'
    translations: [{code: en, label: 'Re-calculate quick data'}, {code: ru, label: 'Пересчитать quick data'}]
  - name: 'Maximum subtotal (currency)'
    translations: [{code: en, label: 'Maximum subtotal ({{currency}})'}]
  - name: 'Minimum subtotal (currency)'
    translations: [{code: en, label: 'Minimum subtotal ({{currency}})'}]
  - name: 'Maximum subtotal at which this rate will apply. Based on cost of goods, not including separate charges like shipping.'
    translations: [{code: en, label: 'Maximum subtotal at which this rate will apply. Based on cost of goods, not including separate charges like shipping.'}]
  - name: 'Minimum subtotal at which this rate will apply. Based on cost of goods, not including separate charges like shipping.'
    translations: [{code: en, label: 'Minimum subtotal at which this rate will apply. Based on cost of goods, not including separate charges like shipping.'}]
XLite\Model\Order\Modifier:
  - class: CDev\VAT\Logic\Order\Modifier\Tax
    weight: 1000
XLite\Model\AddressField:
  - serviceName: vat_number
    schemaClass: CDev\VAT\View\FormField\VATNumber
    additional: false
    required: false
    enabled: true
    module: CDev\VAT
    translations: [{code: en, name: 'VAT number'}, {code: ru, name: 'Номера плательщика НДС'}, {code: es, name: 'Número de IVA'}]
